SHOWSHOT(1)

NAME
showshot - generate MGED commands to represent a ray through some geometry

SYNOPSIS
showshot [ -n name ] [ -r radius ]

DESCRIPTION
Showshot reads the specification for a ray through some geometry and generates mged(1) commands to produce a database object representing the ray. The input should consist of lines of the form

object x_in y_in z_in x_out y_out z_out

as might be obtained from nirt(1), where object is the name of a database object along the ray, and (x_in, y_in, z_in) and (x_out, y_out, z_out) are the points at which the ray enters and exits object, respectively. The first and last lines of input are assumed to correspond to the first and last objects encountered along the ray. Otherwise, the lines of input may be in any order. The first mged(1) command generated by showshot produces an RCC to represent the ray itself. This cylinder has its vertex at the entry point for the first object along the ray and extends to the exit point for the last object—all the other coordinates in the input are ignored. Showshot then generates commands to make the solid a member of a region, which is assigned the color 255 255 0 (yellow). Finally, showshot generates commands to create a group that contains the ray region and each of the objects specified in the input.

  Options
The command-line options and their meanings are given below.

-n name
    Specifies that the string name be used as the root for the names of the new database objects. The ray solid and ray region will be called name.s and name.r, respectively, and the group will be called name. Default is ray.PID, where PID is the process ID of the showshot process.

-r radius
    Specifies that the RCC representing the ray should have a radius of radius units. Default is 1.

DIAGNOSTICS
If name.s is longer than the fifteen-character limit imposed by mged(1) or the input stream does not conform to the expected format, then showshot complains and exits with status 1.

SEE ALSO
mged(1), nirt(1)

AUTHOR
Paul Tanenbaum